org.codehaus.groovy.ast

## Class AnnotatedNode

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode

Direct Known Subclasses:
  ClassNode, Expression, FieldNode, ImportNode, MethodNode, PackageNode, Parameter, PropertyNode

    public class AnnotatedNode
    extends ASTNode

Base class for any AST node which is capable of being annotated

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`AnnotatedNode()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAnnotation(AnnotationNode value)`
`void` `addAnnotations(java.util.List<AnnotationNode> annotations)`
`java.util.List<AnnotationNode>` `getAnnotations()`
`java.util.List<AnnotationNode>` `getAnnotations(ClassNode type)`
`ClassNode` `getDeclaringClass()`
`boolean` `hasNoRealSourcePosition()` Currently only ever returns true for default constructors added by the compiler.
`boolean` `isSynthetic()` returns true if this node is added by the compiler.
`void` `setDeclaringClass(ClassNode declaringClass)`
`void` `setHasNoRealSourcePosition(boolean value)`
`void` `setSynthetic(boolean synthetic)` sets this node as a node added by the compiler.

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotatedNode

    public AnnotatedNode()

### Method Detail

#### getAnnotations

    public java.util.List<AnnotationNode> getAnnotations()

#### getAnnotations

    public java.util.List<AnnotationNode> getAnnotations(ClassNode type)

#### addAnnotation

    public void addAnnotation(AnnotationNode value)

#### addAnnotations

    public void addAnnotations(java.util.List<AnnotationNode> annotations)

#### isSynthetic

    public boolean isSynthetic()

returns true if this node is added by the compiler. NOTE: This method has nothing to do with the synthetic flag for fields, methods or classes.

Returns:
  true if this node is added by the compiler

#### setSynthetic

    public void setSynthetic(boolean synthetic)

sets this node as a node added by the compiler. NOTE: This method has nothing to do with the synthetic flag for fields, methods or classes.

Parameters:
  `synthetic` - - if true this node is marked as added by the compiler

#### getDeclaringClass

    public ClassNode getDeclaringClass()

#### setDeclaringClass

    public void setDeclaringClass(ClassNode declaringClass)

Parameters:
  `declaringClass` - - The declaringClass to set.

#### hasNoRealSourcePosition

    public boolean hasNoRealSourcePosition()

Currently only ever returns true for default constructors added by the compiler. See GROOVY-4161.

#### setHasNoRealSourcePosition

    public void setHasNoRealSourcePosition(boolean value)